org.eclipse.graphiti.ui.internal.editor

## Class ThumbNailView

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.ui.part.WorkbenchPart
    - - org.eclipse.ui.part.ViewPart
      - - org.eclipse.graphiti.ui.internal.editor.ThumbNailView

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.core.runtime.IExecutableExtension, org.eclipse.ui.IPartListener, org.eclipse.ui.IPersistable, org.eclipse.ui.IViewPart, org.eclipse.ui.IWorkbenchPart, org.eclipse.ui.IWorkbenchPart2, org.eclipse.ui.IWorkbenchPart3, org.eclipse.ui.part.IWorkbenchPartOrientation

    public class ThumbNailView
    extends org.eclipse.ui.part.ViewPart
    implements org.eclipse.ui.IPartListener

A Thumbnail view for `GraphicalViewers`. The class scans all editparts and viewparts of the active WorkbenchPage for GraphicalViewer Adapters and shows a thumbnail view for the first one found. Views are scanned first.

### Field Summary

Fields
`static java.lang.String` `VIEW_ID`

### Fields inherited from interface org.eclipse.ui.IWorkbenchPart

`PROP_TITLE`

### Constructor Summary

Constructors
Constructor and Description
`ThumbNailView()` Creates a new ThumbNailView, which registers as PartListener at the active WorkbenchWindow.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createPartControl(org.eclipse.swt.widgets.Composite parent)`
`void` `dispose()`
`void` `partActivated(org.eclipse.ui.IWorkbenchPart part)`
`void` `partBroughtToTop(org.eclipse.ui.IWorkbenchPart part)`
`void` `partClosed(org.eclipse.ui.IWorkbenchPart part)`
`void` `partDeactivated(org.eclipse.ui.IWorkbenchPart part)`
`void` `partOpened(org.eclipse.ui.IWorkbenchPart part)`
`void` `setFocus()`

### Methods inherited from class org.eclipse.ui.part.ViewPart

`getViewSite, init, init, saveState, setInitializationData`

### Methods inherited from class org.eclipse.ui.part.WorkbenchPart

`addPartPropertyListener, addPropertyListener, getAdapter, getContentDescription, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, getTitleImage, getTitleToolTip, removePartPropertyListener, removePropertyListener, setPartProperty, showBusy`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.ui.IWorkbenchPart

`addPropertyListener, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Field Detail

#### VIEW_ID

    public static final java.lang.String VIEW_ID

See Also:
  Constant Field Values

### Constructor Detail

#### ThumbNailView

    public ThumbNailView()

Creates a new ThumbNailView, which registers as PartListener at the active WorkbenchWindow.

### Method Detail

#### createPartControl

    public void createPartControl(org.eclipse.swt.widgets.Composite parent)

Specified by:
  `createPartControl` in interface `org.eclipse.ui.IWorkbenchPart`
Specified by:
  `createPartControl` in class `org.eclipse.ui.part.WorkbenchPart`

#### setFocus

    public void setFocus()

Specified by:
  `setFocus` in interface `org.eclipse.ui.IWorkbenchPart`
Specified by:
  `setFocus` in class `org.eclipse.ui.part.WorkbenchPart`

#### dispose

    public void dispose()

Specified by:
  `dispose` in interface `org.eclipse.ui.IWorkbenchPart`
Overrides:
  `dispose` in class `org.eclipse.ui.part.WorkbenchPart`

#### partActivated

    public void partActivated(org.eclipse.ui.IWorkbenchPart part)

Specified by:
  `partActivated` in interface `org.eclipse.ui.IPartListener`

#### partBroughtToTop

    public void partBroughtToTop(org.eclipse.ui.IWorkbenchPart part)

Specified by:
  `partBroughtToTop` in interface `org.eclipse.ui.IPartListener`

#### partClosed

    public void partClosed(org.eclipse.ui.IWorkbenchPart part)

Specified by:
  `partClosed` in interface `org.eclipse.ui.IPartListener`

#### partDeactivated

    public void partDeactivated(org.eclipse.ui.IWorkbenchPart part)

Specified by:
  `partDeactivated` in interface `org.eclipse.ui.IPartListener`

#### partOpened

    public void partOpened(org.eclipse.ui.IWorkbenchPart part)

Specified by:
  `partOpened` in interface `org.eclipse.ui.IPartListener`